<?php

/*
 * ユニットが持つテーブルの生成を行う
  * @param tbl_unitのマスタ情報
 */
function extunit_install($param, $db) {
	switch(DBTYPE) {
		case "pgsql":
$sql[] = "CREATE TABLE  extunit_video (
  pageu_code INTEGER NOT NULL,
  vid_url text NOT NULL,
  vid_title_flg SMALLINT default '1',
  vid_desc_flg SMALLINT default '1',
  vid_author_flg SMALLINT default '1',
  vid_auto_flg SMALLINT default '0',
  vid_loop_flg SMALLINT default '0',
  fullscreen SMALLINT NOT NULL default '0',
  apikey text,
  use_sp_flg SMALLINT default '1',
  bg_color SMALLINT default '0',
  bdr_type SMALLINT default '0',
  btm_padding SMALLINT default '2',
  bg_color_sp SMALLINT default '0',
  bdr_type_sp SMALLINT default '0',
  btm_padding_sp SMALLINT default '2',
  PRIMARY KEY  (pageu_code)
)";
$sql[] = "CREATE TABLE  extunit_video_tmp (
  pageu_code INTEGER NOT NULL,
  vid_url text NOT NULL,
  vid_title_flg SMALLINT default '1',
  vid_desc_flg SMALLINT default '1',
  vid_author_flg SMALLINT default '1',
  vid_auto_flg SMALLINT default '0',
  vid_loop_flg SMALLINT default '0',
  fullscreen SMALLINT NOT NULL default '0',
  apikey text,
  use_sp_flg SMALLINT default '1',
  bg_color SMALLINT default '0',
  bdr_type SMALLINT default '0',
  btm_padding SMALLINT default '2',
  bg_color_sp SMALLINT default '0',
  bdr_type_sp SMALLINT default '0',
  btm_padding_sp SMALLINT default '2',
  PRIMARY KEY  (pageu_code)
)";
			break;
		case "mysql":
$sql[] = "CREATE TABLE  extunit_video (
  pageu_code INTEGER NOT NULL,
  vid_url text NOT NULL,
  vid_title_flg SMALLINT default '1',
  vid_desc_flg SMALLINT default '1',
  vid_author_flg SMALLINT default '1',
  vid_auto_flg SMALLINT default '0',
  vid_loop_flg SMALLINT default '0',
  fullscreen SMALLINT unsigned NOT NULL default '0',
  apikey text,
  use_sp_flg SMALLINT default '1',
  bg_color SMALLINT default '0',
  bdr_type SMALLINT default '0',
  btm_padding SMALLINT default '2',
  bg_color_sp SMALLINT default '0',
  bdr_type_sp SMALLINT default '0',
  btm_padding_sp SMALLINT default '2',
  PRIMARY KEY  (pageu_code)
)TYPE=InnoDB DEFAULT CHARSET=UTF8;";
$sql[] = "CREATE TABLE  extunit_video_tmp (
  pageu_code INTEGER NOT NULL,
  vid_url text NOT NULL,
  vid_title_flg SMALLINT default '1',
  vid_desc_flg SMALLINT default '1',
  vid_author_flg SMALLINT default '1',
  vid_auto_flg SMALLINT default '0',
  vid_loop_flg SMALLINT default '0',
  fullscreen SMALLINT unsigned NOT NULL default '0',
  apikey text,
  use_sp_flg SMALLINT default '1',
  bg_color SMALLINT default '0',
  bdr_type SMALLINT default '0',
  btm_padding SMALLINT default '2',
  bg_color_sp SMALLINT default '0',
  bdr_type_sp SMALLINT default '0',
  btm_padding_sp SMALLINT default '2',
  PRIMARY KEY  (pageu_code)
)TYPE=InnoDB DEFAULT CHARSET=UTF8;";
			//mysql 5.5対応
			if(isset($db->dbversion) && version_compare($db->dbversion,"5.0.0", ">=")){
			//mysql5.0以上の時はTYPEをENGINEに置換え
				foreach((array)$sql as $k => $v){
					$sql[$k] = str_replace('TYPE=InnoDB','ENGINE = InnoDB', $v);
				}
			}
			break;
		default:
			return false;
			break;
	}
	//sqlの実行
	if(!is_array($sql)||!count($sql)>0) {
		//テーブルのないモジュール、ユニットは存在させない
		return false;
	}
	foreach($sql as $key => $val) {
		if(!$db->query($val)) {
			return false;
		}
	}

	return true;
}
?>